Description

When navigation tabs use more space than their container (e.g. /settings), tab buttons are displayed in order to horizontally scroll to

non visible tabs.

The javascript function (in application.js) displayTabButtons takes care of settting these tab buttons to a visible / non-visible state.

This function is theoretically supposed to work for severeal tab navigations. It applies it's logic to all divs, with class .tabs in a for each

loop.

To my knowledge redmine does not have pages with several of these tab navigations. If a plugins tries to use this funtionality,

though, it will run into the following problem: If one tab navigation meets the condition to be displayed, all other tab navigations on the

page (even when not needed) will have the tab buttons for horizontal scrolling enabled.

This patch fixes this false behaviour.

Related issues:

Related to Redmine - Patch #20906: Fix mulitple tab navigation highlighting a... Closed

Blocks Redmine - Patch #20632: Tab left/right buttons for project menu Closed

Associated revisions

Revision 14624 - 2015-09-26 11:14 - Jean-Philippe Lang

Fix for multiple tabs on the same page (#20271).

Patch by Felix Gliesche.

History

#1 - 2015-07-08 12:47 - Jan from Planio www.plan.io

- Subject changed from Fix for multible tab navigations to Fix for multiple tab navigations

- Target version set to Candidate for next minor release

#2 - 2015-08-06 10:12 - Toshi MARUYAMA

- Target version changed from Candidate for next minor release to 3.2.0

#3 - 2015-08-28 17:26 - Jan from Planio www.plan.io

- Blocks Patch #20632: Tab left/right buttons for project menu added

#4 - 2015-09-26 11:14 - Jean-Philippe Lang

- Subject changed from Fix for multiple tab navigations to Fix for multiple tabs on the same page

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Patch committed in r14624, thanks.

#5 - 2015-10-05 19:18 - Jan from Planio www.plan.io

- Related to Patch #20906: Fix mulitple tab navigation highlighting and content hiding added
